rgug4130a_dbconn {rgug4130a.db} | R Documentation

## Collect information about the package annotation DB

### Description

Some convenience functions for getting a connection object to (or collecting information about) the package annotation DB.

### Usage

      rgug4130a_dbconn()
      rgug4130a_dbfile()
      rgug4130a_dbschema(file="", show.indices=FALSE)
      rgug4130a_dbInfo()

### Arguments

`file` | A connection, or a character string naming the file to print to (see the `file` argument of the `cat` function for the details).
`show.indices` | The CREATE INDEX statements are not shown by default. Use `show.indices=TRUE` to get them.

### Details

`rgug4130a_dbconn` returns a connection object to the package annotation DB. IMPORTANT: Don't call `dbDisconnect` on the connection object returned by `rgug4130a_dbconn` or you will break all the `AnnDbObj` objects defined in this package!

`rgug4130a_dbfile` returns the path (character string) to the package annotation DB (this is an SQLite file).

`rgug4130a_dbschema` prints the schema definition of the package annotation DB.

`rgug4130a_dbInfo` prints other information about the package annotation DB.

### Value

`rgug4130a_dbconn`: a DBIConnection object representing an open connection to the package annotation DB.
`rgug4130a_dbfile`: a character string with the path to the package annotation DB.
`rgug4130a_dbschema`: none (invisible `NULL`).
`rgug4130a_dbInfo`: none (invisible `NULL`).

### See Also

`dbGetQuery`, `dbConnect`, `dbconn`, `dbfile`, `dbschema`, `dbInfo`

### Examples

      ## Count the number of rows in the "probes" table:
      dbGetQuery(rgug4130a_dbconn(), "SELECT COUNT(*) FROM probes")

      ## The connection object returned by rgug4130a_dbconn() was created with:
      dbConnect(SQLite(), dbname=rgug4130a_dbfile(), cache_size=64000, synchronous=0)

      rgug4130a_dbschema()

      rgug4130a_dbInfo()

[Package rgug4130a.db version 2.2.0 Index]